#pragma once
#include <cstdint>

class Servo
{
public:
  Servo();
	Servo(uint8_t pin);
	~Servo();
	bool attach();
	void detach();
	bool write(double value); // Range is 0 to 180 by convention.
private:
	uint8_t _pin;
	uint8_t _channel;
};
